Display stress

Until now I am still with LinuxMint 17.3, based on Ubuntu 14.04 LTS (‘Trusty’). Although this platform will be supported until 2019, increasingly applications start to get stuck, since newer versions require a newer Ubuntu version. But… upgrading was a